/**
 *
 * @param {THREE.Object3D} root
 * @param {THREE.Material} replacement
 */
export function three_object_replace_materials(root, replacement) {

    root.traverse(o => {
        if (o.isMesh) {
            o.material = replacement;
        }
    })
}